org.apache.catalina.util

## Class ConcurrentDateFormat

- java.lang.Object
- - org.apache.catalina.util.ConcurrentDateFormat

- Deprecated.
  Unused. This will be removed in Tomcat 10. Use `ConcurrentDateFormat`

      @Deprecated
      public class ConcurrentDateFormat
      extends Object

  A thread safe wrapper around `SimpleDateFormat` that does not make use of ThreadLocal and - broadly - only creates enough SimpleDateFormat objects to satisfy the concurrency requirements.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TimeZone` | `GMT` Deprecated.
    `static String` | `RFC1123_DATE` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentDateFormat(String format, Locale locale, TimeZone timezone)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `format(Date date)` Deprecated.
    `static String` | `formatRfc1123(Date date)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RFC1123_DATE

          public static final String RFC1123_DATE

      Deprecated.
      See Also:
        Constant Field Values

    - #### GMT

          public static final TimeZone GMT

      Deprecated.

  - ### Constructor Detail

    - #### ConcurrentDateFormat

          public ConcurrentDateFormat(String format,
                                      Locale locale,
                                      TimeZone timezone)

      Deprecated.

  - ### Method Detail

    - #### formatRfc1123

          public static String formatRfc1123(Date date)

      Deprecated.

    - #### format

          public String format(Date date)

      Deprecated.

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.